RDCode: RDKit::UFF::Tools Namespace Reference

# RDKit::UFF::Tools Namespace Reference

## Functions
void | addAtomChargeFlags (const Atom *atom, std::string &atomKey, bool tolerateChargeMismatch=true)
std::string | getAtomLabel (const Atom *atom)
void | addBonds (const ROMol &mol, const AtomicParamVect &params, ForceFields::ForceField *field)
int * | buildNeighborMatrix (const ROMol &mol)
void | addAngles (const ROMol &mol, const AtomicParamVect &params, ForceFields::ForceField *field, int *neighborMatrix)
void | addNonbonded (const ROMol &mol, int confId, const AtomicParamVect &params, ForceFields::ForceField *field, int *neighborMatrix, double vdwThresh=100.0, bool ignoreInterfragInteractions=true)
void | addTorsions (const ROMol &mol, const AtomicParamVect &params, ForceFields::ForceField *field, std::string torsionBondSmarts="[!$(*#*)&!D1]~[!$(*#*)&!D1]")

## Function Documentation

void RDKit::UFF::Tools::addAngles | ( | const ROMol & | mol,
|  | const AtomicParamVect & | params,
|  | ForceFields::ForceField * | field,
|  | int * | neighborMatrix |
| ) |  |  |

void RDKit::UFF::Tools::addAtomChargeFlags | ( | const Atom * | atom,
|  | std::string & | atomKey,
|  | bool | tolerateChargeMismatch = `true` |
| ) |  |  |

void RDKit::UFF::Tools::addBonds | ( | const ROMol & | mol,
|  | const AtomicParamVect & | params,
|  | ForceFields::ForceField * | field |
| ) |  |  |

void RDKit::UFF::Tools::addNonbonded | ( | const ROMol & | mol,
|  | int | confId,
|  | const AtomicParamVect & | params,
|  | ForceFields::ForceField * | field,
|  | int * | neighborMatrix,
|  | double | vdwThresh = `100.0`,
|  | bool | ignoreInterfragInteractions = `true` |
| ) |  |  |

void RDKit::UFF::Tools::addTorsions | ( | const ROMol & | mol,
|  | const AtomicParamVect & | params,
|  | ForceFields::ForceField * | field,
|  | std::string | torsionBondSmarts = `"[!$(*#*)&!D1]~[!$(*#*)&!D1]"` |
| ) |  |  |

int* RDKit::UFF::Tools::buildNeighborMatrix | ( | const ROMol & | mol | ) |

std::string RDKit::UFF::Tools::getAtomLabel | ( | const Atom * | atom | ) |